aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhongbo.zhang <hongbo.zhang@linaro.com>2012-11-22 19:14:02 +0800
committerhongbo.zhang <hongbo.zhang@linaro.com>2012-11-28 17:49:39 +0800
commit8b23c61cfa51e1466c96bf076db3da80710add82 (patch)
tree982378f6ff6e076afbbbfea2ff5a17e709a39f8f
parent2a303c96fe8759af94f2dfac293e064cca864ca3 (diff)
thermal: add sanity checking before executing tests
if there is no thermal zone, all the thermal tests should be skipped. Signed-off-by: hongbo.zhang <hongbo.zhang@linaro.com>
-rwxr-xr-xthermal/thermal_sanity.sh33
-rw-r--r--thermal/thermal_sanity.txt1
2 files changed, 34 insertions, 0 deletions
diff --git a/thermal/thermal_sanity.sh b/thermal/thermal_sanity.sh
new file mode 100755
index 0000000..7d4ca6c
--- /dev/null
+++ b/thermal/thermal_sanity.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Hongbo ZHANG <hongbo.zhang@linaro.org> (ST-Ericsson Corporation)
+# - initial API and implementation
+#
+
+source ../include/thermal_functions.sh
+
+check_thermal_zone() {
+
+ test -d $THERMAL_PATH && return 1 || return 0
+}
+
+check_thermal_zone
diff --git a/thermal/thermal_sanity.txt b/thermal/thermal_sanity.txt
new file mode 100644
index 0000000..0834ebb
--- /dev/null
+++ b/thermal/thermal_sanity.txt
@@ -0,0 +1 @@
+thermal zone is not available. Skipping all tests...